var xmlobj;
function CreateXMLHttpRequest(){
	if(window.ActiveXObject){
		xmlobj=new ActiveXObject("Microsoft.XMLHTTP");
	}else if (window.XMLHttpRequest){
		xmlobj=new XMLHttpRequest();
	}
}
function ReqXml(url){
top.mainwindow.xml_url.innerHTML=url;
top.mainwindow.xmlpage.innerHTML="";
top.mainwindow.refresh1.style.display="";
	CreateXMLHttpRequest();	
	xmlobj.onreadystatechange=StatHandler;

	xmlobj.open("get",url,true);

	xmlobj.send(null);

return false;
}
function StatHandler(){
	if(xmlobj.readystate==4 && xmlobj.status==200){
		xml=xmlobj.responseXML;
		var allees=xml.getElementsByTagName("item");
		
row="";
		for(var i=0; i<allees.length;i++){
			var tempobj,item_title,item_link,item_pubDate,item_description,item_links;

			tempobj=allees[i].getElementsByTagName("link");	
			item_link=tempobj[0].childNodes[0].nodeValue;

			tempobj=allees[i].getElementsByTagName("title");			
			item_title="&nbsp;&nbsp;<a href='"+item_link+"'"+"target='_blank'"+" class='ss'>"+tempobj[0].childNodes[0].nodeValue+"</a>"+"<br>";

            item_link="&nbsp;&nbsp;<a href='"+item_link+"'"+"target='_blank'"+" class='ss'>"+"阅读全文"+"</a>"+"<br>";

			//item_link="link:"+tempobj[0].childNodes[0].nodeValue+"<br>";

			tempobj=allees[i].getElementsByTagName("pubDate");
			item_pubDate="&nbsp;&nbsp;更新时间:"+tempobj[0].childNodes[0].nodeValue+"<br>";

			tempobj=allees[i].getElementsByTagName("description");
			counts=tempobj.length;
			if(counts>0){
				item_description="&nbsp;&nbsp;内容摘要:"+tempobj[0].childNodes[0].nodeValue+"<br>";
			}else{
				item_description="&nbsp;&nbsp;没有内容摘要！"+"<br>";
			}


	
		row=item_title+item_pubDate+item_description+item_link+"<HR>";
			
			top.mainwindow.xmlpage.innerHTML+=row;
	
		}

	}

}
function Refresh(){
xml_ss=xml_url.innerText;
ReqXml(xml_ss);
return false;
}